Bug 1017721 - [deploy] Failed to migrate nodejs app
[deploy] Failed to migrate nodejs app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 07:38 EDT by Meng Bo
Modified: 2015-05-14 19:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:35:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-10-10 07:38:13 EDT
Description of problem:
Create apps on devenv-stage_491, upgrade the server and run datastore migration. Try to upgrade the gears via oo-admin-upgrade, nodejs app will fail and found following error in the upgrade_error log:

            "upgrade_script_nodejs": {
                "context": {
                    "cartridge": "nodejs", 
                    "rc": 1, 
                    "stderr": "mkdir: cannot create directory `/node_modules': Permission denied\nmv: target `/node_modules' is not a directory\nln: creating symbolic link `/var/lib/openshift/52566e675534c5a5db000239/nodejs//node_modules/node_modules': File exists\nln: creating symbolic link `/var/lib/openshift/52566e675534c5a5db000239//.node_modules/node_modules': File exists\n", 
                    "stdout": ""
                }, 
                "errors": [
                    "Upgrade script for nodejs returned a non-zero exit code (1)"
                ], 
                "status": "incomplete"
            }


Version-Release number of selected component (if applicable):
devenv-stage_491 to devenv_3881

How reproducible:
always

Steps to Reproduce:
1.Create test data on devenv-stage_491
2.Upgrade the server and run compatible migration for datastore
3.Upgrade the gears via oo-admin-upgrade
# oo-admin-upgrade upgrade-node --version 3.0.35 --ignore-cartridge-version

Actual results:
Nodejs app will fail during the gear upgrade.

Expected results:
App should be upgraded successfully.

Additional info:
Comment 2 openshift-github-bot 2013-10-10 19:08:25 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/6fdd4bf5c0ad2e87e5f4626d508299917a2d85bd
Bug 1017721: Fix nodejs upgrade mv operation

Don't attempt to create and populate node_modules if it's already a symlink to the
source.
Comment 3 Meng Bo 2013-10-16 05:59:05 EDT
Issue fixed on devenv_3901, move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.